Package helma.util

# Class EmptyEnumeration

java.lang.Object
helma.util.EmptyEnumeration

All Implemented Interfaces:
  `Enumeration`

public class EmptyEnumeration extends Object implements Enumeration
Utility class for empty enum

## Constructor Summary

Constructors
Constructor
Description
`EmptyEnumeration()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasMoreElements()`
`Object`
`nextElement()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Enumeration

`asIterator`

## Constructor Details

### EmptyEnumeration

public EmptyEnumeration()

## Method Details

### hasMoreElements

public boolean hasMoreElements()

Specified by:
  `hasMoreElements` in interface `Enumeration`
Returns:
  ...

### nextElement

public Object nextElement()

Specified by:
  `nextElement` in interface `Enumeration`
Returns:
  ...